#include <stdio.h>
#include <stdlib.h>
int op1(int a1, int an)
{
    int razlika;
    razlika=a1-an;
    return (razlika);
}
int op2(int an, int a1)
{
    int razlika;
    razlika=an-a1;
    return (razlika);
}
int main()
{
    int n,k,a[100000],i,max[100000],raz=0,j;
    scanf("%d%d", &n,&k);
    for(i=0;i<n;i++)
    {
        scanf("%d", &a[i]);
        max[j]=a[i];
        j++;
    }
        for(j=n;j>0;j--)
        {
            for(i=0;i<j-1;i++)
            {
                if(max[j]>a[i])
                {
                    raz=op2(max[j],a[i]);
                }
                else
                {
                    raz=op1(a[i],max[j]);
                }
            }
        }
    printf("%d", raz);
    return 0;
}